"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStackdriverLoggerTool = exports.createStackdriverLoggerConfig = void 0;
const lodash_1 = require("lodash");
const __1 = require("..");
const createStackdriverLoggerConfig = (config) => (0, lodash_1.isEmpty)(config)
    ? __1.PredefinedConfig.STACKDRIVER
    : {
        ...config,
        base: __1.PredefinedConfig.STACKDRIVER,
    };
exports.createStackdriverLoggerConfig = createStackdriverLoggerConfig;
const createStackdriverLoggerTool = (configOrApp = {}, contextName) => {
    if ((0, __1.isNestApplication)(configOrApp)) {
        return (0, __1.createLoggerTool)(configOrApp, contextName);
    }
    return (0, __1.createLoggerTool)((0, exports.createStackdriverLoggerConfig)(configOrApp), contextName);
};
exports.createStackdriverLoggerTool = createStackdriverLoggerTool;
